<?php

?>
<script>
    require(['jquery'], function ($) {
        console.log("ASAAAAAA")
        checkIsGroupWhenLoad();
        // $('input[name=customer[group_id]]')
        $('#container').on("change","select[name='customer[group_id]']", function () {
            var value  = $(this).val();
            var taxt = $("input[name='customer[taxvat]']").val();
            if(value === '2') {
                $("input[name='customer[taxvat]']").parent().parent().css('display','block');
                console.log("tax chage ", taxt);
                if(taxt === '') {
                    $('#save').prop('disabled',true);
                    $('#save_and_continue').prop('disabled',true);
                }
                else {
                    $('#save').prop('disabled',false);
                    $('#save_and_continue').prop('disabled',false);
                }
                // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','none');
                // $("input[name='customer[custom_is_reseller]']").val('0');

            }
            else if(value === '3') {
                // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','block');
                $("input[name='customer[taxvat]']").parent().parent().css('display','none');
                $("input[name='customer[taxvat]']").val('');
                // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','none');
            }
            else {

                $("input[name='customer[taxvat]']").parent().parent().css('display','none');
                // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','none');
                $("input[name='customer[taxvat]']").val('');

            }
            // console.log("Change zxczxc", value);

        })
        $('#container').on("change","input[name='customer[taxvat]']", function () {
            var taxxx = $(this).val();
            if(taxxx === '') {
                $('#save').prop('disabled',true);
                $('#save_and_continue').prop('disabled',true);
            }
            else {
                $('#save').prop('disabled',false);
                $('#save_and_continue').prop('disabled',false);
            }

        })
        var isLickc = false;
       $('.ui-tabs').on("click",".admin__page-nav-link", function () {
           console.log("CKICCCK");
           checkIsGroupWhenLoad();

        })
        $('#save').click(function () {
            console.log("save kekeke");
            return false;
        })
        function checkIsGroupWhenLoad() {
            if(!isLickc) {
                /* setTimeout(function () {
                     isLickc = true;
                     var group = $("select[name='customer[group_id]").val();
                     console.log(group)
                 },5000)*/
                var timer = setInterval(function () {
                    var group = $("select[name='customer[group_id]']").val();
                    if(group !== undefined) {
                        console.log(group);
                        if(group === '2') {
                            $("input[name='customer[taxvat]']").parent().parent().css('display','block');
                            var taxt = $("select[name='customer[taxvat]']").val();
                            if(taxt === '') {
                                $('#save').prop('disabled',true);
                                $('#save_and_continue').prop('disabled',true);
                            }
                            else {
                                $('#save').prop('disabled',false);
                                $('#save_and_continue').prop('disabled',false);
                            }
                            // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','none');
                        }
                        else if(group === '3') {
                            // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','block');
                            $("input[name='customer[taxvat]']").parent().parent().css('display','none');
                            // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','none');
                        }
                        else {
                            $("input[name='customer[taxvat]']").parent().parent().css('display','none');
                            // $("input[name='customer[custom_is_reseller]']").parent().parent().parent().css('display','none');
                        }
                        clearInterval(timer);
                    }
                },500)
                setTimeout(function () {
                    clearInterval(timer);
                },11000)
            }
        }

    })
</script>
